# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg spiral = "spiral.jpg"
    image bg ferris = "ferrisl.jpg"
    image scary = "scary.jpg"
    image mermaid = "mermaid.jpg"
    image bg black = "blackback.jpg"
    image carouselgirl = "carouselgirlatright.jpg"
    image bg carousel = "carousell.jpg"
    image bg funhouse = "funhousel.jpg"
    image ghost = "funhouselghostgirl.jpg"
    image angryghost = "funhouselangryghost.jpg"
    image happy = "funhouselcloseup3.jpg"
    image dismay = "funhouselcloseup2.jpg"

    

    # Declare characters used by this game.
    $ e = Character('Eileen', color="#c8ffc8")
    $ g = Character('Girl', color="#ccffff")
    $ gh = Character('Little Girl', color="#c8ffc8")
    


# The game starts here.
label start:
    $ met_girl = False
    $ met_ghost = False
    scene bg black
    centered "They said the carnival was different after dark."
    centered "I wanted to see if that was true."
    centered "But which attraction should I visit first?"
    
    scene bg ferris with dissolve
menu:
    "Carousel":
        jump carousel
    "Funhouse":
        jump funhouse



label funhouse:
    $ met_ghost = True
    scene bg funhouse with dissolve
    scene ghost with dissolve
    scene ghost with dissolve
    scene bg funhouse with dissolve
    "Wait!"

menu:
    "Go after her":
        jump chaseghost
    "Go somewhere else":
        jump carousel
    "Wait and see what happens":
        jump waitandsee

label carousel:
    $ met_girl = True
    scene bg carousel with dissolve
    scene carouselgirl with dissolve
    g "What are you doing here?"
    g "You really shouldn't be in the carnival after dark."
    "Why not?"
    g "It's not safe."
    scene bg carousel with dissolve
    g "I'd leave if I were you. . ."
    if met_ghost:
        jump wandering
    else:
        jump funhousetwo

label wandering:
    scene bg black with fade
    centered "I wandered around the carnival for a while, not meeting anyone else."
    centered "Eventually, my path led back to the funhouse."
    jump waitandsee

label funhousetwo:
    scene bg black with fade
    centered "I wandered back toward the funhouse."

    scene bg funhouse with dissolve
    scene ghost with dissolve
    scene ghost with dissolve
    scene bg funhouse with dissolve
    "Wait!"

menu:
    "Go after her":
        jump chaseghost
    "Wait and see what happens":
        jump waitandsee




label chaseghost:
    scene bg funhouse
    "I know that girl is around here somewhere. . ."
    scene angryghost with dissolve
    gh "You'd better stop chasing me!"
    "Oh really?  Why?"
    gh "My friend won't like it if you keep following me."
    "So what?"
    scene bg funhouse
    gh "Well, you keep following me, and you'll find out. . ."

menu:
    "Keep following":
        jump preclown
    "Give up":
        jump waitandsee

label preclown:
    scene bg black with fade
    centered "I followed the little girl farther into the funhouse."
    centered "Soon, it was pitch black all around me."
    centered "Wait- what's that noise?"
    jump death

label waitandsee:
    scene bg funhouse
    if met_girl:
        jump wemeetagain
    else:
        jump sideshow

label wemeetagain:
    scene dismay with dissolve
    g "What are you still doing here?"
menu: 
    "Looking for something unusual":
        jump girly
    "Looking for you":
        jump lookyou

label girly:
    scene happy with dissolve
    g "Hmmm. . .  I know."
    g "Why don't you try the sideshow?  It's over that way."
    scene bg funhouse with dissolve
    jump sideshow

    
label lookyou:
    scene happy with dissolve
    g "You were looking for me?"
    "Yeah, I was."
    g "That's so sweet of you. . ."
    g "Why don't you come with me?"
    scene bg black with dissolve
    centered "That was how I came to join the Dark Carnival."
    centered "But the rest is a story for another day. . ."
    scene bg spiral with dissolve
    centered "The End"
    jump endgame


label sideshow:
    scene bg black with fade
    centered "I wandered around the carnival for what seem like hours."
    centered "Eventually, I found myself outside a small tent with a handwritten sign."
    centered "Eighth Wonder of the World:  INSIDE!"
    centered "I wondered if I should enter."
menu:
    "Enter the tent":
        jump mermaid
    "Don't go inside":
        jump preclowntwo
 
label preclowntwo:
    scene bg black
    centered "Whatever it was, I wasn't interested."
    centered "I was turning to leave, when I heard a strange noise. . ."
    jump death



label mermaid:
    play music "our journey.mp3"
    scene mermaid with fade
    scene mermaid with dissolve
    scene mermaid with dissolve
    scene mermaid with dissolve
    scene bg black with dissolve
    centered "In the dark water, the mermaid shone like an angel."
    centered "I wished I could stay with her forever."
    scene bg spiral with dissolve
    centered "The End"
    jump endgame
    

label death:
    stop music
    play sound "scream.mp3"
    scene scary with hpunch
    scene bg spiral with dissolve
    play sound "clown.mp3"
    centered "The End"
    jump endgame

label endgame:
    scene bg spiral
menu:
    "Roll credits":
        jump credits


label credits:
    scene bg black
    centered "Made with the Ren'Py visual novel engine"
    centered "Written by Sethaniel"
    centered "Original art by Dock / Rendering by Sethaniel"
    centered "Music by Armolithae and Renich"
    centered "Visit chooseyourstory.com"
    
    return
    
 